# ACE_Thread_ID Class Reference

Defines a platform-independent thread ID class. Note that this class should be defined within the scope of a thread, rather than at global scope! More...

`#include <OS_NS_Thread.h>`

List of all members.

## Public Member Functions

| ACE_Thread_ID (ACE_thread_t thr_id, ACE_hthread_t thr_handle)
| ACE_Thread_ID (void)
| Initialize the object using calls to ACE_OS::thr_self().
| ACE_Thread_ID (const ACE_Thread_ID &rhs)
| Copy constructor.
ACE_thread_t | id (void) const
| Get the thread id.
void | id (ACE_thread_t)
| Set the thread id.
ACE_hthread_t | handle (void) const
| Get the thread handle.
void | handle (ACE_hthread_t)
| Set the thread handle.
void | to_string (char *thr_string) const
bool | operator== (const ACE_Thread_ID &) const
| Equality operator.
bool | operator!= (const ACE_Thread_ID &) const
| Inequality operator.

## Private Attributes

ACE_thread_t | thread_id_
| Identify the thread.
ACE_hthread_t | thread_handle_
| Handle to the thread (typically used to "wait" on Win32).

## Detailed Description

Defines a platform-independent thread ID class. Note that this class should be defined within the scope of a thread, rather than at global scope!

## Constructor & Destructor Documentation

ACE_INLINE ACE_Thread_ID::ACE_Thread_ID | ( | ACE_thread_t | thr_id,
|  | ACE_hthread_t | thr_handle
| ) |

| Initialize the object using the thread id and thread handle passed as parameters.

ACE_INLINE ACE_Thread_ID::ACE_Thread_ID | ( | void |  | ) |

| Initialize the object using calls to ACE_OS::thr_self().

ACE_INLINE ACE_Thread_ID::ACE_Thread_ID | ( | const ACE_Thread_ID & | rhs | ) |

| Copy constructor.

## Member Function Documentation

ACE_INLINE void ACE_Thread_ID::handle | ( | ACE_hthread_t |  | ) |

| Set the thread handle.

ACE_INLINE ACE_hthread_t ACE_Thread_ID::handle | ( | void |  | ) | const

| Get the thread handle.

ACE_INLINE void ACE_Thread_ID::id | ( | ACE_thread_t |  | ) |

| Set the thread id.

ACE_INLINE ACE_thread_t ACE_Thread_ID::id | ( | void |  | ) | const

| Get the thread id.

ACE_INLINE bool ACE_Thread_ID::operator!= | ( | const ACE_Thread_ID & |  | ) | const

| Inequality operator.

ACE_INLINE bool ACE_Thread_ID::operator== | ( | const ACE_Thread_ID & |  | ) | const

| Equality operator.

void ACE_Thread_ID::to_string | ( | char * | thr_string | ) | const

## Member Data Documentation

ACE_hthread_t ACE_Thread_ID::thread_handle_`[private]`

| Handle to the thread (typically used to "wait" on Win32).

ACE_thread_t ACE_Thread_ID::thread_id_`[private]`

| Identify the thread.

The documentation for this class was generated from the following files:

- OS_NS_Thread.h
- OS_NS_Thread.inl